<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" />
	<xsl:template match="/job">
		<xsl:copy>
			<xsl:for-each select="*">
				<xsl:choose>
					<xsl:when test="name()='priority'">
						<xsl:copy>
							<xsl:attribute name="gmgvalue">
								<xsl:if test="current()='Low'">1</xsl:if>
								<xsl:if test="current()='Normal'">5</xsl:if>
								<xsl:if test="current()='High'">10</xsl:if>
							</xsl:attribute>
							<xsl:value-of select="current()"/>							
						</xsl:copy>
					</xsl:when>
					<xsl:when test="name()='input'">
						<xsl:copy>
							<xsl:copy-of select="@*"/>
							<xsl:value-of select="current()/@folder"/>\<xsl:value-of select="current()"/>
						</xsl:copy>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="current()"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>

